# The CairoRadialGradient class

(PECL cairo >= 0.1.0)

## Introduction

## Class synopsis

CairoRadialGradient extends CairoGradientPattern {
/* Methods */
public __construct ( float `$x0` , float `$y0` , float `$r0` , float `$x1` , float `$y1` , float `$r1` )
public getCircles ( void ) : array
/* Inherited methods */
public CairoGradientPattern::addColorStopRgb ( float `$offset` , float `$red` , float `$green` , float `$blue` ) : void
public CairoGradientPattern::addColorStopRgba ( float `$offset` , float `$red` , float `$green` , float `$blue` , float `$alpha` ) : void
public CairoGradientPattern::getColorStopCount ( void ) : int
public CairoGradientPattern::getColorStopRgba ( int `$index` ) : array
public CairoGradientPattern::getExtend ( void ) : int
public CairoGradientPattern::setExtend ( int `$extend` ) : void
}

## Table of Contents

- CairoRadialGradient::__construct — The __construct purpose
- CairoRadialGradient::getCircles — The getCircles purpose